jQuery(function() {
	
	//Header options
	jQuery('#header .options .slide .icon, #header .options .slide .lang .active').live('click', function(){
		jQuery('#header .options li.selected').animate({width: '40'}, 400, function(){jQuery('#header .options .slide').removeClass('selected');});
		jQuery(this).parents('.slide').animate({width: '184'}, 400, function(){jQuery(this).addClass('selected');});
		return false;
	});
	
	//Header select
	jQuery('#company-info .select .arrow').bind('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('.dropdown', this.parentNode).slideToggle();
		return false;
	});
	
	//Header select arrow2
	jQuery('#submenu .select .arrow2').bind('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('.dropdown', this.parentNode).slideToggle();
		return false;
	});
	
	//Submenu select
	jQuery('#submenu .select .button').bind('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('.dropdown', this.parentNode).slideToggle();
		return false;
	});
	
	//Dashboard search-bar select
	jQuery('.search-bar .select a.active').live('click', function(){		
		jQuery('.dropdown', this.parentNode).slideToggle();
		return false;
	});
	
	//Dashboard pagination
	var pag_width = 0;
	var pag_width = jQuery('#dashboard .pagination').width();
	jQuery('#dashboard .pagination').css({'margin-left' : (648 - pag_width) / 2});
	
	//Dashboard info block
	jQuery('#dashboard .info-block .title h3').live('click', function(){		
		jQuery(this).toggleClass('open');
		jQuery('.inline', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Add products browse
	jQuery('#add-products a.browse').live('click', function(){		
		jQuery(this).toggleClass('browse-active');
		jQuery('.dropdown.categories', this.parentNode).slideToggle();
		return false;
	});
	//Overview info
	jQuery('#confirm .dashboard a.open').live('click', function(){		
		jQuery('.dropdown.info', this.parentNode).slideToggle();
		return false;
	});
	//Dropdown submenu
	jQuery('#page .submenu li.drop a.icon').live('click', function(){		
		if (jQuery(this).hasClass('active')) {
			jQuery(this).removeClass('active');
			jQuery('.dropdown', this.parentNode).slideUp();
		} else {
			jQuery('#page .submenu li.drop a.icon').removeClass('active');
			jQuery('#page .submenu li.drop .dropdown').slideUp();
			jQuery(this).addClass('active');
			jQuery('.dropdown', this.parentNode).slideDown();
		}
		return false;
	});
	jQuery('#page .submenu .close-dropdown').live('click', function(){
		jQuery('#page .submenu li.drop a.icon').removeClass('active');
		jQuery('#page .submenu .dropdown').slideUp();
		return false;
	});
	
	//Doclist select dropdown
	jQuery('#page .submenu .options-dropdown dl dd .select a.selected').live('click', function(){
		jQuery('ul', this.parentNode).slideToggle();
		return false;
	});
	
	//Doclist search dropdown2
	jQuery('#page .submenu .search-dropdown .select a.active').live('click', function(){		
		jQuery('.dropdown2', this.parentNode).slideToggle();
		return false;
	});
	
	//Doc-view navi-bar details dropdown
	jQuery('#doc-view .navi-bar a.show-details').live('click', function(){	
		jQuery(this).toggleClass('active');	
		jQuery('#doc-view .navi-bar .dropdown-info').slideToggle();
		return false;
	});
	
	//Doc-view infobox dropdown
	jQuery('#doc-view .infobox a').live('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('.dropdown', this.parentNode).slideToggle();
		return false;
	});
	
	//Doc-view table dropdown
	jQuery('#doc-view .table dd.browse a').live('click', function(){
		jQuery(this).parent().parent().parent().toggleClass('active');
		jQuery('.dropdown', this.parentNode.parentNode.parentNode).toggleClass('drop-active');
		return false;
	});
	
	//Doc-view table dropdown2
	jQuery('#doc-view .table dd.dropdown a').live('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('.dropdown2', this.parentNode).toggleClass('drop-active');
		return false;
	});
	
	//Doc-view status table dropdown
	jQuery('#status-modal .table dd.browse a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown2
	jQuery('#status-modal .table dd.dropdown dd.browse2 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown2', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown3
	jQuery('#status-modal .table dd.dropdown2 dd.browse3 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown3', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown4
	jQuery('#status-modal .table dd.dropdown3 dd.browse4 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown4', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown5
	jQuery('#status-modal .table dd.dropdown4 dd.browse5 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown5', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown6
	jQuery('#status-modal .table dd.dropdown5 dd.browse6 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown6', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown7
	jQuery('#status-modal .table dd.dropdown6 dd.browse7 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown7', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown8
	jQuery('#status-modal .table dd.dropdown7 dd.browse8 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown8', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown9
	jQuery('#status-modal .table dd.dropdown8 dd.browse9 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown9', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown10
	jQuery('#status-modal .table dd.dropdown9 dd.browse10 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown10', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown11
	jQuery('#status-modal .table dd.dropdown10 dd.browse11 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown11', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown12
	jQuery('#status-modal .table dd.dropdown11 dd.browse12 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown12', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown13
	jQuery('#status-modal .table dd.dropdown12 dd.browse13 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown13', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown14
	jQuery('#status-modal .table dd.dropdown13 dd.browse14 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown14', this.parentNode.parentNode).slideToggle();
		return false;
	});
	//Doc-view status table dropdown15
	jQuery('#status-modal .table dd.dropdown14 dd.browse15 a').live('click', function(){
		jQuery(this).parent().parent().toggleClass('active');
		jQuery('.dropdown15', this.parentNode.parentNode).slideToggle();
		return false;
	});
	
	// Clearing inputs
	jQuery('input:not(.datePicker), textarea').example(function() {
  		return jQuery(this).attr('title');
	});
	
	jQuery('#page .table dl:not(.topic)').hover(function(){
		jQuery(this).addClass('row-hover');
	}, function () {
		jQuery(this).removeClass('row-hover');
	});
	
	jQuery('.services-info-list li h4 a').first().addClass('active');
	jQuery('.services-info-list li p.text').first().show();
	
	jQuery('.services-info-list li h4 a').live('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('p.text', this.parentNode.parentNode).toggle();
	});
	
	// Scrolling list
	var table_rows = jQuery("#page .list dl.main-topic dt").length;
	var table_rows_width = 0;
	jQuery("#page .list dl.main-topic dt:lt(" + table_rows + ")").each(function() {
		table_rows_width += (jQuery(this).width() + 20);
	});
	
	var table_sub_rows = jQuery("#page .list dl.sub-topic dt").length;
	var table_sub_rows_width = 0;
	jQuery("#page .list dl.sub-topic dt:lt(" + table_rows + ")").each(function() {
		table_sub_rows_width += (jQuery(this).width() + 20);
	});
	
	var list_width = 0;
	var list_width = jQuery('#page .list .inline').width();
	
	if ((table_rows_width > list_width) || (table_sub_rows_width > list_width)) {
		if (table_rows_width > table_sub_rows_width) {
			jQuery(".table-scroll .table").width(table_rows_width);
		} else {
			jQuery(".table-scroll .table").width(table_sub_rows_width);
		}
	}
	
	//prices.html > table dropdown
	jQuery('#prices .list dd.browse a').live('click', function(){
		if (jQuery('dd', this.parentNode.parentNode.parentNode).hasClass('dropdown2')) {
		} else {
			jQuery(this).parent().parent().parent().toggleClass('active');
		}
		jQuery(this).toggleClass('active');
		jQuery('.dropdown', this.parentNode.parentNode.parentNode).slideToggle();
		return false;
	});
	
	//prices.html > table dropdown2
	jQuery('#prices .list dd.browse2 a').live('click', function(){
		jQuery(this).toggleClass('active');
		jQuery(this).parent().parent().parent().toggleClass('active');
		jQuery('.dropdown2', this.parentNode.parentNode.parentNode).slideToggle();
		return false;
	});
	
	//prices.html > modal > dropdown
	jQuery('#status-modal .form a.browse').live('click', function(){
		jQuery(this).toggleClass('active');
		jQuery('.dropdown', this.parentNode).slideToggle();
		return false;
	});
	
	jQuery('input.datePicker').datepicker({ dateFormat: 'dd.mm.yy', firstDay: 1 });
	
	// Iga listi row sama kõrgusega
	var page_id1 = jQuery('#page').find('#doc-view');
	var page_id2 = jQuery('#page').find('#prices');
	if ((page_id1.length == 0) && (page_id2.length == 0)) {
	jQuery('#page .list dl').each(function() {
		equalHeight(jQuery('dd', this));
	});
	}
	
	// Modal boxes
	jQuery('.link-open-modal').fancybox({'padding':0, 'centerOnScroll': true});
	
});

function equalHeight(group) {
	tallest = 0;
	group.each(function() {
		var thisHeight = jQuery(this).height();
		if(thisHeight > tallest) {
			tallest = thisHeight;
		}
	});
	group.load(function() {
		var thisHeight = jQuery(this).height();
		if(thisHeight > tallest) {
			tallest = thisHeight;
		}
	});
	group.height(tallest);
}